cURL
curl --request GET \ --url https://us.infisical.com/api/v2/secret-scanning/data-sources/gitlab
{ "dataSources": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "projectId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "type": "gitlab", "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "connection": { "app": "gitlab", "name": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }, "config": { "scope": "group", "groupId": 123, "groupName": "<string>", "includeProjects": [ "*" ] }, "externalId": "<string>", "description": "<string>", "encryptedCredentials": null, "isAutoScanEnabled": true, "isDisconnected": false } ] }
List the GitLab Data Sources for the specified project.
Documentation IndexFetch the complete documentation index at: https://infisical.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://infisical.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The ID of the project to list GitLab Data Sources from.
1
Default Response
Show child attributes
Was this page helpful?